<?php

namespace App\Console\Commands;

use Illuminate\Console\Command;

class PanelDataCache extends Command
{

    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'panel-data-cache';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Create and update panel data cache';

    /**
     * Execute the console command.
     *
     * @return mixed
     */
    public function handle()
    {
        $ufList = [
            'ac','al','ap','am','ba','ce','df','es','go','ma','mt','ms','mg','pa','pb','pr','pe','pi','rj','rn','rs',
            'ro','rr','sc','sp','se','to','*','SE280030','PA150140','MG310620','RR140010','DF530010','MS500270',
            'MT510340','PR410690','SC420540','CE230440','GO520870','PB250750','AP160030','AL270430','AM130260',
            'RN240810','TO172100','RS431490','RO110020','PE261160','AC120040','RJ330455','BA292740','MA211130',
            'SP355030','PI221100','ES320530'
        ];

        printf('[%1$s] begin' . "\n", date('Y-m-d H:i:s'));
        foreach ($ufList as $uf) {
            try {
                $response = app()->call('App\Http\Controllers\AmbulatorialController@painelData', ['uf' => $uf]);
                printf('[%1$s] %2$s - %3$d bytes' . "\n", date('Y-m-d H:i:s'), $uf, strlen(json_encode($response->getData())));
            } catch (\Throwable $e) {
                printf('[%1$s] %2$s - ERROR: %3$s' . "\n", date('Y-m-d H:i:s'), $uf, $e->getMessage());
            }
        }
    }

}
