<?php

namespace App\Exports;

use Maatwebsite\Excel\Concerns\WithMultipleSheets;

class PainelExport implements WithMultipleSheets
{
    private $simpleData;
    private $detailedData;

    public function __construct($simpleData, $detailedData)
    {
        $this->simpleData = $simpleData;
        $this->detailedData = $detailedData;
    }

    public function sheets(): array
    {
        $sheets = [];

        if (!empty($this->simpleData)) {
            $sheets[] = new PainelExportSimpleDataSheet($this->simpleData);
        }

        if (!empty($this->detailedData)){
            $sheets[] = new PainelExportDetailedDataSheet($this->detailedData);
        }

        $sheets[] = new PainelExportLegendSheet();

        return $sheets;
    }
}