@php
    $cheatsheet = [
        'grupos' => 'Grupo',
        'laudos' => "Tipo de Laudo",
        'proc_ids' => 'Procedimento',
        'c_atend' => 'Caráter de atendimento',
        'complex' => 'Complexidade',
        'm_atend' => 'Município de atendimento',
        'periodo' => 'Período',
        'm_resid' => 'Município de residência',
        'estab' => 'Estabelecimento',
        'cbo' => 'CBO - Profissionais',
    ]
@endphp
<style>
    * {
        margin-top: 0;
        margin-bottom: 0;
        padding-top: 0;
        padding-bottom: 0;
    }
    body {
        margin: 0;
        font-family: -apple-system,BlinkMacSystemFont,"Segoe UI",Roboto,"Helvetica Neue",Arial,sans-serif,"Apple Color Emoji","Segoe UI Emoji","Segoe UI Symbol";
        font-size: 1rem;
        font-weight: 400;
        line-height: 1.5;
        color: #212529;
        text-align: left;
        background-color: #fff;
    }

    .legend {
        margin-top: 10px;
    }

    .legend .legend-item {
        margin-right: 25px;
        display: inline;
        -webkit-print-color-adjust: exact;
    }

    .legend .legend-item:before {
        content: 'iiiii';
        display: inline;
        width: 25px;
        height: 25px;
        margin-right: 5px;
    }

    .legend .legend-item.legend-orange:before {
        background-color: #f7931e;
        color: #f7931e;
    }

    .legend .legend-item.legend-blue:before {
        background-color: #1793ac;
        color: #1793ac;
    }

    .sort {
        text-align: center;
        margin-bottom: 25px;
        border-bottom: 1px solid rgba(102,102,102,0.41);
        position: relative;
    }

    .sort i {
        position: absolute;
        top: 5px;
        right: 5px;
    }

    .horizontal-bars {
        border-bottom: 1px solid #d9d9d9;
        margin-bottom: 5px;
    }

    .horizontal-bars .bar-wrap {
        padding: 15px 0;
        position: relative;
        width: 100%;
        height: 15px;
        margin-bottom: 7px;
        font-weight: bold;
        page-break-inside: avoid;
    }

    .horizontal-bars .bar-wrap.label {
        text-transform: capitalize;
        page-break-inside: avoid;
    }

    .horizontal-bars .bar-wrap.label-light {
        text-transform: capitalize;
        color: #3c3c3c;
        font-size: 13px;
        page-break-inside: avoid;
    }

    .horizontal-bars .bar-wrap .bar {
        height: 15px;
        color: #fff;
        line-height: 12px;
        font-size: 10px;
        padding: 2px;
        position: relative;
        page-break-inside: avoid;
    }

    .horizontal-bars .bar-wrap .bar .outside {
        position: absolute;
        color: #858585;
        right: -60px;
        top: 2px;
        page-break-inside: avoid;
    }

    .horizontal-bars.status .bar {
        opacity: 0.3;
        page-break-inside: avoid;
    }

    .horizontal-bars.as-filter .bar-wrap {
        cursor: pointer;
        page-break-inside: avoid;
    }

    .text-center {
        text-align: center;
    }
</style>
<div style="border-left: 2px solid white;">
    <div style="font-size: 24px;font-weight: bold;margin: 30px 0 20px;">{{ $nome }}</div>
    @if(!empty($filtros))
        <table style="margin-bottom: 30px;">
            @foreach($filtros as $filtro => $options)
                <tr>
                    <th style="width: 120px;font-size: 14px;">
                        <b>{{ $cheatsheet[$filtro] }}</b>
                    </th>
                    <td style="width: 560px;padding-left: 20px;font-size: 14px;">
                        @foreach($options as $option)
                            {{ in_array($filtro, ['m_resid', 'm_atend', 'grupos']) ? trim($option['name']) : ucfirst(mb_strtolower(trim($option['name']))) }}@if($option['tooltip'] != "") - {{ in_array($filtro, ['m_resid', 'm_atend', 'grupos']) ? trim($option['tooltip']) : ucfirst(mb_strtolower(trim($option['tooltip']))) }}@endif; <br>
                        @endforeach
                    </td>
                </tr>
            @endforeach
        </table>
        @if(collect($filtros)->flatten()->count() > 11)
            <div style="page-break-after: always"></div>
        @endif
    @endif
    <table>
        <tr>
            <td style="width: {{ $yAxisShort ? '50px' : '150px' }};padding: 0 10px;"></td>
            <td style="width: {{ $yAxisShort ? '300px' : '245px' }};padding: 0 10px;">
                <div class="sort">
                    Quantidade
                </div>
            </td>
            <td style="width: {{ $yAxisShort ? '300px' : '245px' }};padding: 0 10px;">
                <div class="sort">
                    Valor em R$
                </div>
            </td>
        </tr>
        @foreach($graph as $item)
            <tr class="horizontal-bars">
                <td style="width: {{ $yAxisShort ? '50px' : '150px' }};padding: 0 10px;">
                    <div class="bar-wrap label">
                        {{ $item['label'] }}
                    </div>
                </td>
                <td style="width: {{ $yAxisShort ? '300px' : '245px' }};padding: 0 10px;">
                    @if ($item['qtdAprovado']['value'] != 0 && $item['qtdApresentado']['value'] != 0)
                        <div class="bar-wrap">
                            <div class="bar" style="width:{{ $item['qtdApresentado']['width'] }}%;background-color:#F7931E;padding-left: 5px;">
                                <span class="{{ $item['qtdApresentado']['class'] }}">{{ number_format($item['qtdApresentado']['value'], 0, ',', '.') }}</span>
                            </div>
                            <div class="bar" style="width:{{ $item['qtdAprovado']['width'] }}%;background-color:#1793AC;padding-left: 5px;">
                                <span class="{{ $item['qtdAprovado']['class'] }}">{{ number_format($item['qtdAprovado']['value'], 0, ',', '.') }}</span>
                            </div>
                        </div>
                    @else
                        <div class="bar-wrap label-light">Dados indisponíveis</div>
                    @endif
                </td>
                <td style="width: {{ $yAxisShort ? '300px' : '245px' }};padding: 0 10px;">
                    @if ($item['valAprovado']['value'] != 0 && $item['valApresentado']['value'] != 0)
                        <div class="bar-wrap">
                            <div class="bar" style="width:{{ $item['valApresentado']['width'] }}%;background-color:#F7931E;padding-left: 5px;">
                                <span class="{{ $item['valApresentado']['class'] }}">{{ $item['valApresentado']['value'] }}</span>
                            </div>
                            <div class="bar" style="width:{{ $item['valAprovado']['width'] }}%;background-color:#1793AC;padding-left: 5px;">
                                <span class="{{ $item['valAprovado']['class'] }}">{{ $item['valAprovado']['value'] }}</span>
                            </div>
                        </div>
                    @else
                        <div class="bar-wrap label-light">Dados indisponíveis</div>
                    @endif
                </td>
            </tr>
        @endforeach
    </table>
    <div class="legend">
        <div style="width: 305px;padding: 0 10px;display: inline-block;">
            <div class="legend-item legend-orange">Apresentado</div>
            <div class="legend-item legend-blue">Aprovado</div>
        </div>
        <div class="text-center updated" style="width: 305px;padding: 0 10px;display: inline-block;float: right;">
            Informações atualizadas em {{ $lastUpdated }}
        </div>
    </div>
    <p style="font-size: 12px; width: 100%;">{{ $legenda }}</p>
</div>