@php
    $cheatsheet = [
        'grupos' => 'Grupo',
        'laudos' => "Tipo de Laudo",
        'proc_ids' => 'Procedimento',
        'c_atend' => 'Caráter de atendimento',
        'complex' => 'Complexidade',
        'm_atend' => 'Município de atendimento',
        'periodo' => 'Período',
        'm_resid' => 'Município de residência',
        'estab' => 'Estabelecimento',
        'cbo' => 'CBO - Profissionais',
    ]
@endphp
<style>
    .bordered th,
    .bordered td{
        border: 1px solid black;
        padding: 2px 5px;
    }
</style>
<table cellspacing="0">
    <thead>
    <tr>
        <th colspan="5"><h2>{{ $nome }}</h2></th>
    </tr>
    </thead>
    <tbody>
    @foreach($filtros as $nome => $options)
        <tr>
            <td>{{ $cheatsheet[$nome] }}</td>
            <td colspan="4">
                @foreach($options as $option)
                    {{ in_array($nome, ['m_resid', 'm_atend', 'grupos']) ? $option['name'] : ucfirst(mb_strtolower($option['name'])) }}@if($option['tooltip'] != "") - {{ in_array($nome, ['m_resid', 'm_atend', 'grupos']) ? $option['tooltip'] : ucfirst(mb_strtolower($option['tooltip'])) }} @endif;
                @endforeach
            </td>
        </tr>
    @endforeach
    <tr>
        <td colspan="5">&nbsp;</td>
    </tr>
    <tr class="bordered">
        <th @if($type == 'pdf') style="width: 20%" @endif>Período</th>
        <th>Quantidade @if($type == 'pdf') <br> @endif Apresentada</th>
        <th>Quantidade @if($type == 'pdf') <br> @endif Aprovada</th>
        <th>Valor @if($type == 'pdf') <br> @endif Apresentado</th>
        <th>Valor @if($type == 'pdf') <br> @endif Aprovado</th>
    </tr>
    @foreach($painel as $data)
        <tr class="bordered">
            <th>{{ $data['label'] }}</th>
            <td>{{ $data['qtdApresentado'] == 0 ? "Dados indisponíveis" : number_format($data['qtdApresentado'], 2, ',', '.') }}</td>
            <td>{{ $data['qtdAprovado'] == 0 ? "Dados indisponíveis" : number_format($data['qtdAprovado'], 2, ',', '.') }}</td>
            <td>{{ $data['valApresentado'] == 0 ? 'Dados indisponíveis' : "R$ ".number_format($data['valApresentado'], 2, ',', '.') }}</td>
            <td>{{ $data['valAprovado'] == 0 ? 'Dados indisponíveis' : "R$ ".number_format($data['valAprovado'], 2, ',', '.') }}</td>
        </tr>
    @endforeach
    <tr>
        <td colspan="5">&nbsp;</td>
    </tr>
    <tr>
        <td colspan="5">{{ $legenda }}</td>
    </tr>
    </tbody>
</table>